Summary:	GNOME Power Manager
Summary(pl.UTF-8):	Zarządca energii dla GNOME
Name:		gnome-power-manager
Version:	3.22.2
Release:	1
License:	GPL v2+
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gnome-power-manager/3.22/%{name}-%{version}.tar.xz
# Source0-md5:	da7f9dda4b26d2e7a38f7a844b80298b
URL:		http://www.gnome.org/projects/gnome-power-manager/
BuildRequires:	appdata-tools
BuildRequires:	autoconf >= 2.65
BuildRequires:	automake >= 1:1.11
BuildRequires:	cairo-devel >= 1.0.0
BuildRequires:	docbook-dtd41-sgml
BuildRequires:	docbook-dtd43-xml
BuildRequires:	docbook-utils
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.46.0
BuildRequires:	gnome-common >= 2.24.0
BuildRequires:	gnome-doc-utils >= 0.14.0
BuildRequires:	gtk+3-devel >= 3.3.8
BuildRequires:	intltool >= 0.50.0
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(find_lang) >= 1.23
BuildRequires:	rpmbuild(macros) >= 1.601
BuildRequires:	tar >= 1:1.22
BuildRequires:	upower-devel >= 0.9.1
BuildRequires:	xz
Requires(post,postun):	glib2 >= 1:2.46.0
Requires(post,postun):	gtk-update-icon-cache
Requires:	glib2 >= 1:2.46.0
Requires:	gnome-icon-theme
Requires:	gnome-session >= 3.0.0
Requires:	gnome-themes-standard
Requires:	hicolor-icon-theme
Requires:	upower >= 0.9.1
Obsoletes:	gnome-power
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Uses of GNOME Power Manager infrastructure
- A dialogue that warns the user when on UPS power, that automatically
  begins a kind shutdown when the power gets critically low.
- An icon that allows a user to dim the LCD screen with a slider, and
  does do automatically when going from mains to battery power on a
  laptop.
- An icon, that when an additional battery is inserted, updates its
  display to show two batteries and recalculates how much time
  remaining. Would work for wireless mouse and keyboards, UPS's and
  PDA's.
- A daemon that does a clean shutdown when the battery is critically
  low or does a soft-suspend when you close the lid on your laptop (or
  press the "suspend" button on your PC).
- Tell Totem to use a codec that does low quality processing to
  conserve battery power.
- Postpone indexing of databases (e.g. up2date) or other heavy
  operations until on mains power.
- Presentation programs / movie players don't want the screensaver
  starting or screen blanking.

%description -l pl.UTF-8
Zastosowania infrastruktury zarządcy energii GNOME:
- okno dialogowe ostrzegające użytkownika o zasilaniu z UPS-a,
  automatycznie rozpoczynające uprzejme zamykanie systemu, kiedy
  zasilanie jest w stanie krytycznym
- ikona umożliwiająca użytkownikowi przyciemnienie ekranu LCD przy
  użyciu suwaka i robiąca to automatycznie przy przełączaniu z głównego
  źródła zasilania na baterie w laptopie
- ikona, która po dołożeniu dodatkowej baterii uaktualnia wskaźnik,
  aby pokazywał dwie baterie i przelicza ilość pozostałego czasu;
  powinna działać dla bezprzewodowych myszy i klawiatur, UPS-ów i PDA
- demon wykonujący czyste zamknięcie systemu, kiedy bateria jest w
  stanie krytycznym i wykonujący zamrożenie systemu (soft-suspend) przy
  zamykaniu pokrywy laptopa (albo naciśnięciu przycisku "suspend")
- informowanie Totema, aby używał kodeka o niższej jakości w celu
  zaoszczędzenia energii baterii
- wstrzymywanie indeksowania baz danych (np. up2date) i innych
  ciężkich operacji do czasu podłączenia głównego źródła zasilania
- zapobieganie uruchomieniu wygaszacza ekranu i samemu wygaszaniu
  ekranu podczas działania programów prezentacyjnych i odtwarzaczy
  filmów

%prep
%setup -q

%build
%{__libtoolize}
%{__intltoolize}
%{__aclocal}
%{__automake}
%{__autoheader}
%{__autoconf}
%configure \
	--disable-silent-rules
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name} --with-gnome --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor
%glib_compile_schemas

%postun
%update_icon_cache hicolor
%glib_compile_schemas

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/gnome-power-statistics
%{_mandir}/man1/*.1*
%{_datadir}/appdata/org.gnome.PowerStats.appdata.xml
%{_datadir}/glib-2.0/schemas/org.gnome.power-manager.gschema.xml
%{_desktopdir}/org.gnome.PowerStats.desktop
%{_iconsdir}/hicolor/*/*/*
%changelog
* Fri Jan 06 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gnome-power-manager.git;a=log;h=master

* Fri Jan 06 2017 Marcin Banasiak <marcin.banasiak@gmail.com> e8e857d
- Update to 3.22.2

* Wed Oct 12 2016 Marcin Banasiak <marcin.banasiak@gmail.com> fed0351
- Update to 3.22.1

* Sat Apr 02 2016 Łukasz Kieś <kiesiu@pld-linux.org> 9f9ba55
- updated to 3.20.0

* Sun Sep 27 2015 Łukasz Kieś <kiesiu@pld-linux.org> 2e0ce4d
- updated to 3.18.0

* Sun May 10 2015 Marcin Banasiak <marcin.banasiak@gmail.com> 48ee73d
- Update to 3.16.1

* Fri Mar 27 2015 Łukasz Kieś <kiesiu@pld-linux.org> 5f37104
- updated to 3.16.0

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 90d4b30
- updated gettext BR

* Mon Dec 01 2014 Łukasz Kieś <kiesiu@pld-linux.org> c8118c7
- updated to 3.14.1

* Sat Oct 04 2014 Łukasz Kieś <kiesiu@pld-linux.org> a4dd0ca
- updated to 3.14.0

* Wed Sep 03 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 9943302
- upower rebuild
- release 2 (by relup.sh)

* Sat May 17 2014 Marcin Banasiak <marcin.banasiak@gmail.com> eb8947b
- Update to 3.12.2

* Sun Mar 30 2014 Marcin Banasiak <marcin.banasiak@gmail.com> 9b5773f
- Update to 3.12.0

* Thu Oct 17 2013 Łukasz Kieś <kiesiu@pld-linux.org> 4cb743f
- updated to 3.10.1

* Sun Sep 29 2013 Marcin Banasiak <marcin.banasiak@gmail.com> 79fbdf5
- Update to 3.10.0

* Sat May 18 2013 Łukasz Kieś <kiesiu@pld-linux.org> bc4c194
- updated to 3.8.2

* Wed Apr 17 2013 Elan Ruusamäe <glen@delfi.ee> e62a95c
- up to 3.8.1

* Thu Mar 28 2013 Łukasz Kieś <kiesiu@pld-linux.org> 22cf190
- updated to 3.8.0

* Tue Sep 25 2012 Łukasz Kieś <kiesiu@pld-linux.org> 4204061
- updated to 3.6.0

* Tue Mar 27 2012 Łukasz Kieś <kiesiu@pld-linux.org> c3508c4
- updated to 3.4.0; merged from DEVEL

* Mon Oct 17 2011 Łukasz Kieś <kiesiu@pld-linux.org> a39c459
- updated to 3.2.1

